# Record TCefDragData

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefDragData = record`

## Description

Structure used to represent drag data. The functions of this structure may be called on any thread.

NOTE: This struct is allocated DLL-side.

Implemented by ICefDragData.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_drag_data_capi.h">CEF source file: /include/capi/cef_drag_data_capi.h (cef_drag_data_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `clone: function(self: PCefDragData): PCefDragData; stdcall;`
| `is_read_only: function(self: PCefDragData): Integer; stdcall;`
| `is_link: function(self: PCefDragData): Integer; stdcall;`
| `is_fragment: function(self: PCefDragData): Integer; stdcall;`
| `is_file: function(self: PCefDragData): Integer; stdcall;`
| `get_link_url: function(self: PCefDragData): PCefStringUserFree; stdcall;`
| `get_link_title: function(self: PCefDragData): PCefStringUserFree; stdcall;`
| `get_link_metadata: function(self: PCefDragData): PCefStringUserFree; stdcall;`
| `get_fragment_text: function(self: PCefDragData): PCefStringUserFree; stdcall;`
| `get_fragment_html: function(self: PCefDragData): PCefStringUserFree; stdcall;`
| `get_fragment_base_url: function(self: PCefDragData): PCefStringUserFree; stdcall;`
| `get_file_name: function(self: PCefDragData): PCefStringUserFree; stdcall;`
| `get_file_contents: function(self: PCefDragData; writer: PCefStreamWriter): NativeUInt; stdcall;`
| `get_file_names: function(self: PCefDragData; names: TCefStringList): Integer; stdcall;`
| `get_file_paths: function(self: PCefDragData; paths: TCefStringList): Integer; stdcall;`
| `set_link_url: procedure(self: PCefDragData; const url: PCefString); stdcall;`
| `set_link_title: procedure(self: PCefDragData; const title: PCefString); stdcall;`
| `set_link_metadata: procedure(self: PCefDragData; const data: PCefString); stdcall;`
| `set_fragment_text: procedure(self: PCefDragData; const text: PCefString); stdcall;`
| `set_fragment_html: procedure(self: PCefDragData; const html: PCefString); stdcall;`
| `set_fragment_base_url: procedure(self: PCefDragData; const base_url: PCefString); stdcall;`
| `reset_file_contents: procedure(self: PCefDragData); stdcall;`
| `add_file: procedure(self: PCefDragData; const path, display_name: PCefString); stdcall;`
| `clear_filenames: procedure(self: PCefDragData); stdcall;`
| `get_image: function(self: PCefDragData): PCefImage; stdcall;`
| `get_image_hotspot: function(self: PCefDragData): PCefPoint; stdcall;`
| `has_image: function(self: PCefDragData): Integer; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `clone: function(self: PCefDragData): PCefDragData; stdcall;`
This item has no description.

| `is_read_only: function(self: PCefDragData): Integer; stdcall;`
This item has no description.

| `is_link: function(self: PCefDragData): Integer; stdcall;`
This item has no description.

| `is_fragment: function(self: PCefDragData): Integer; stdcall;`
This item has no description.

| `is_file: function(self: PCefDragData): Integer; stdcall;`
This item has no description.

| `get_link_url: function(self: PCefDragData): PCefStringUserFree; stdcall;`
This item has no description.

| `get_link_title: function(self: PCefDragData): PCefStringUserFree; stdcall;`
This item has no description.

| `get_link_metadata: function(self: PCefDragData): PCefStringUserFree; stdcall;`
This item has no description.

| `get_fragment_text: function(self: PCefDragData): PCefStringUserFree; stdcall;`
This item has no description.

| `get_fragment_html: function(self: PCefDragData): PCefStringUserFree; stdcall;`
This item has no description.

| `get_fragment_base_url: function(self: PCefDragData): PCefStringUserFree; stdcall;`
This item has no description.

| `get_file_name: function(self: PCefDragData): PCefStringUserFree; stdcall;`
This item has no description.

| `get_file_contents: function(self: PCefDragData; writer: PCefStreamWriter): NativeUInt; stdcall;`
This item has no description.

| `get_file_names: function(self: PCefDragData; names: TCefStringList): Integer; stdcall;`
This item has no description.

| `get_file_paths: function(self: PCefDragData; paths: TCefStringList): Integer; stdcall;`
This item has no description.

| `set_link_url: procedure(self: PCefDragData; const url: PCefString); stdcall;`
This item has no description.

| `set_link_title: procedure(self: PCefDragData; const title: PCefString); stdcall;`
This item has no description.

| `set_link_metadata: procedure(self: PCefDragData; const data: PCefString); stdcall;`
This item has no description.

| `set_fragment_text: procedure(self: PCefDragData; const text: PCefString); stdcall;`
This item has no description.

| `set_fragment_html: procedure(self: PCefDragData; const html: PCefString); stdcall;`
This item has no description.

| `set_fragment_base_url: procedure(self: PCefDragData; const base_url: PCefString); stdcall;`
This item has no description.

| `reset_file_contents: procedure(self: PCefDragData); stdcall;`
This item has no description.

| `add_file: procedure(self: PCefDragData; const path, display_name: PCefString); stdcall;`
This item has no description.

| `clear_filenames: procedure(self: PCefDragData); stdcall;`
This item has no description.

| `get_image: function(self: PCefDragData): PCefImage; stdcall;`
This item has no description.

| `get_image_hotspot: function(self: PCefDragData): PCefPoint; stdcall;`
This item has no description.

| `has_image: function(self: PCefDragData): Integer; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.